#ifndef _LIGHT_H_
#define _LIGHT_H_

#include <Arduino.h>
#include <Wire.h>

#define LIGHT_PIN 10 //PB2
#define LIGHT_SENSOR_ADDRESS 8

#define NIGHT_TRESHOLD 80
#define DIRECT_SUN_UP_TRESHOLD 1000
#define DIRECT_SUN_LOW_TRESHOLD 800

extern bool lightOnOverride;

unsigned int handleLightSensor();
bool evaluateLightValue(unsigned int value);
void animateLight(uint8_t to, unsigned long time);
#endif // _LIGHT_H_
