#if !defined(_WIRE_HELPERS_H_)
#define _WIRE_HELPERS_H_

#include <Wire.h>

inline unsigned int requestUINT(int address){
  while (Wire.available()) {Wire.read();} // clean the wire buffer
  Wire.requestFrom(address,2);
  unsigned int value = 1024;
  while(Wire.available()){
    byte high = Wire.read();
    byte low = Wire.read();
    value = low | (high<<8);
  }
  return value;
}

#endif // _WIRE_HELPERS_H_
